import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {MethodologyComponent} from "./methodology.component";
import {RouterModule} from "@angular/router";
import {PreviousRouteRecorder} from "../openaireLibrary/utils/piwik/previousRouteRecorder.guard";
import {PageContentModule} from "../openaireLibrary/dashboard/sharedComponents/page-content/page-content.module";
import {HowModule} from "../openaireLibrary/monitor/how/how.module";

@NgModule({
  declarations: [MethodologyComponent],
  imports: [CommonModule, RouterModule.forChild([
    {
      path: '',
      component: MethodologyComponent,
      canDeactivate: [PreviousRouteRecorder]
    },
  ]), PageContentModule, HowModule],
  exports: [MethodologyComponent]
})
export class MethodologyModule {

}
